VMTKPOTENTIALFIT(1)

NAME
vmtkpotentialfit - vmtk script vmtkpotentialfit

DESCRIPTION
Automatic piping vmtkpotentialfit Parsing options vmtkpotentialfit

vmtkpotentialfit : explicitly deformable model which evolves a surface

    to gradient magnitudes of an input image

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1)

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-image Image (vtkImageData,1)

-imagefile ImageInputFileName (str,1): filename for the default

    Image reader

-iterations NumberOfIterations (int,1) >= 0; default=100

-stiffnesssubiterations NumberOfStiffnessSubIterations (int,1) >=

    0; default=0

-inflationsubiterations NumberOfInflationSubIterations (int,1) >=

    0; default=0

-potentialweight PotentialWeight (float,1) >= 0.0; default=1.0

-stiffnessweight StiffnessWeight (float,1) >= 0.0; default=1.0

-inflationweight InflationWeight (float,1) >= 0.0; default=1.0

-convergence Convergence (float,1) >= 0.0; default=1e-05

-maxtimestep MaxTimeStep (float,1) >= 0.0; default=1.0

-timestep TimeStep (float,1) >= 0.0; default=1.0

-adaptivetimestep AdaptiveTimeStep (bool,1); default=1

-relaxation Relaxation (float,1) >= 0.0; default=0.1

-dimensionality Dimensionality (int,1) >= 2 and <= 3; default=3

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1)